aboutsummaryrefslogtreecommitdiff
path: root/doc/asciidoc-helper.sh
diff options
context:
space:
mode:
authorSebastian Hahn <sebastian@torproject.org>2010-03-08 21:01:52 +0100
committerSebastian Hahn <sebastian@torproject.org>2010-03-09 03:00:59 +0100
commitfca673bcd32e184a520edec2b93bc369c29ffe7d (patch)
tree857fc10508a2b083421e3cc562a8a8d69a7e02a6 /doc/asciidoc-helper.sh
parent4d7d1027aee2a9c98d6efe5115b61f92ebcb6924 (diff)
downloadtor-fca673bcd32e184a520edec2b93bc369c29ffe7d.tar
tor-fca673bcd32e184a520edec2b93bc369c29ffe7d.tar.gz
Don't require asciidoc when building Tor from a tarball
If asciidoc is required, the user receives an error message telling them about the --disable-asciidoc configure switch and the build breaks.
Diffstat (limited to 'doc/asciidoc-helper.sh')
-rwxr-xr-xdoc/asciidoc-helper.sh24
1 files changed, 23 insertions, 1 deletions
diff --git a/doc/asciidoc-helper.sh b/doc/asciidoc-helper.sh
index d24b31918..8e9e5eda3 100755
--- a/doc/asciidoc-helper.sh
+++ b/doc/asciidoc-helper.sh
@@ -17,11 +17,32 @@ output=$3
if [ "$1" = "html" ]; then
input=${output%%.html.in}.1.txt
base=${output%%.html.in}
- "$2" -d manpage -o $output $input;
+ if [ "$2" != none ]; then
+ "$2" -d manpage -o $output $input;
+ else
+ echo "==================================";
+ echo;
+ echo "You need asciidoc installed to be able to build the manpage.";
+ echo "To build without manpages, use the --disable-asciidoc argument";
+ echo "when calling configure.";
+ echo;
+ echo "==================================";
+ exit 1;
+ fi
elif [ "$1" = "man" ]; then
input=${output%%.1.in}.1.txt
base=${output%%.1.in}
+ if test "$2" = none; then
+ echo "==================================";
+ echo;
+ echo "You need asciidoc installed to be able to build the manpage.";
+ echo "To build without manpages, use the --disable-asciidoc argument";
+ echo "when calling configure.";
+ echo;
+ echo "==================================";
+ exit 1;
+ fi
if "$2" -f manpage $input; then
mv $base.1 $output;
else
@@ -35,3 +56,4 @@ elif [ "$1" = "man" ]; then
exit 1;
fi
fi
+